;-----------------------------------------------------------------------
PRO rk4,t,dt,f
;
; The classical Runge-Kutta (cf. rk4.f in Numerical Recipes)
;
    dt1= 0.5*dt
    d1 = dfdt(t, f)
    f1 = f + dt1*d1
    d2 = dfdt(t+dt1, f1)
    f2 = f + dt1*d2
    d3 = dfdt(t+dt1, f2)
    f3 = f + dt*d3
    d4 = dfdt(t+dt, f3)
    f  = f + (dt/6.)*(d1+d2+d2+d3+d3+d4)
    t  = t + dt
END
