;-----------------------------------------------------------------------
PRO default,a,v
;
; Default value handler
;
  if n_elements(a) eq 0 then a=v
END

;-----------------------------------------------------------------------
FUNCTION setup,ax=ax,ay=ay,az=az,persp=persp
;
;  Setup two 3D perspectives
;
  default,ax,20                             ; default x-angle
  default,ay,20                             ; default y-angle
  default,az,30                             ; default z-angle
  default,persp,5                           ; perspective

  t3d,/reset,translate=[0,0,-25]            ; center at origin
  t3d,scale=[1,1,2]/130.,rotate=[-90,az,0]  ; scale, rotate
  t3d,rotate=[ax,0,0]                       ; tilt forward
  if n_elements(persp) ne 0 then t3d,persp=persp    ; add perspective
  t3d,translate=[.25,.5,.5]                 ; left center
  o=fltarr(4,4,2)                           ; a place to save ..
  o(*,*,0)=!p.t                             ; the transformation

  t3d,/reset,translate=[0,0,-25]
  t3d,scale=[1,1,2]/130.,rotate=[-90,az-90,0]
  t3d,rotate=[ax,0,0]
  if n_elements(persp) ne 0 then t3d,persp=persp
  t3d,translate=[.75,.5,.5]                 ; right center
  o(*,*,1)=!p.t

  !x.style=1 & !y.style=3 & !p.multi=0 & !p.psym=0      ; exact axes, single frame

;  Setup color table

  device, decompose=0                       ; use color table
  tvlct,/get,r,g,b                          ; get color table
  if r[5] ne 5 then loadct,0                ; grey scale
  tvlct,/get,r,g,b                          ; get color table

  r(0)= 80                                  ; grey ..
  g(0)=100                                  ; .. for ..
  b(0)=120                                  ; .. boxes

  r(1)=100                                  ; reduced red
  g(1)=170                                  ; -> weak blue-
  b(1)=180                                  ; green background

  l=!d.table_size-1                         ; last index = head
  r(l)=255                                  ; This should ...
  g(l)=255                                  ; ... produce ...
  b(l)=155                                  ; ... yellowish

  tvlct,r,g,b                               ; load new c-table
  erase, 0                                  ; background color

  return,o
END
