;-----------------------------------------------------------------------
PRO showdots,f,t,light=light,_extra=ex
;
; Use discrete points to show a path trace
;
;  erase
;  boxes,t                                                 ; draw partial boxes
  n = n_elements(light)
  if n eq 0 then light=0                                  ; default = x axis
  n = n_elements(light)
  fmin=min(f[*,light])                                    ; min coordinate
  fmax=max(f[*,light])                                    ; max coordinate

  ps=2
  th=1
  ss=20.

  s=size(f)                                               ; e.g. s=[2,3,1000]
  l=!d.table_size-1
  for i=0,s[1]-3 do begin                                 ; point loop
    j=i                                                   ; the color point
    k=j+1                                                 ; the head point
    c=(f[i,light]-fmin)/(fmax-fmin)                       ; scale color
    c=long(2+(l-3)*c)
    !p.t=t(*,*,0)                                                                ; left
    plots,f[0,k],f[1,k],f[2,k],/t3d,/norm,psym=ps,th=th,syms=ss,col=l  ; head
    plots,f[0,j],f[1,j],f[2,j],/t3d,/norm,psym=ps,th=th,syms=ss,col=c  ; tail
    !p.t=t(*,*,1)                                                                ; right
    plots,f[0,k],f[1,k],f[2,k],/t3d,/norm,psym=ps,th=th,syms=ss,col=l  ; head
    plots,f[0,j],f[1,j],f[2,j],/t3d,/norm,psym=ps,th=th,syms=ss,col=c  ; tail
  end
END
