;-----------------------------------------------------------------------
PRO showtail,f,t,light=light,waitt=waitt
;
; Use a bright head and a greyscale tail to show a path
;
;  erase
;  boxes,t                                                 ; draw partial boxes
  default,waitt,0.001                                     ; default wait
  if n_elements(light) eq 0 then light=0                  ; default = x axis
  fmin=min(f[light,*])                                    ; min coordinate
  fmax=max(f[light,*])                                    ; max coordinate

  s=size(f)                                               ; e.g. s=[1000,3]
  l=!d.table_size-1
  for i=0,s[2]-3 do begin                                 ; point loop
    j=[i,i+1]                                             ; the color point
    k=j+1                                                 ; the head point
    c=(f[light,i]-fmin)/(fmax-fmin)                       ; scale color
    c=long(2+(l-3)*c)                                     ; map to [1,l-1]
    !p.t=t(*,*,0)                                         ; left
    if (waitt ge 0) then $
      plots,f[0,k],f[1,k],f[2,k],/t3d,/norm,color=l       ; head
      plots,f[0,j],f[1,j],f[2,j],/t3d,/norm,color=c       ; tail
    !p.t=t(*,*,1)                                         ; right
    if (waitt ge 0) then $
      plots,f[0,k],f[1,k],f[2,k],/t3d,/norm,color=l       ; head
      plots,f[0,j],f[1,j],f[2,j],/t3d,/norm,color=c       ; tail
    if (waitt ge 0) then wait,waitt
  end
  if (waitt lt 0) then wait,0.                            ; flush graphics
END
