; $Id: viz3d.pro,v 1.10 2009/05/25 00:24:47 aake Exp $

PRO viz3d, tlb

n = 2                                             ; steps for tracer
dt = 0.02                                         ; step size
sz = 800                                          ; display size

;f0 = [4,5,6]                                      ; initial values can be set here
g = lorenz(f0=f0,dt=dt)                           ; full path
g2 = lorenz(f0=1.0001*f0,dt=dt)                   ; full path                          * TILFØJET

m = obj_new('IDLgrModel')                         ; a container for 3D graphics
o = obj_new('IDLgrPolyLine',data=g)               ; a 3D graphics polyline object
o2 = obj_new('IDLgrPolyLine',data=g2)             ; a 3D graphics polyline object      * TILFØJET
m->Add, o                                         ; add the path to the model
m->Add, o2                                        ; add the path to the model          * TILFØJET
o->SetProperty, color=[100,100,100]               ; change the color of the path
o2->SetProperty, color=[255,100,0]                ; change the color of the path       * TILFØJET

gsz = size(g)                                     ; size of the g array
offset = total(g,2)/gsz[2]                        ; average of the [x,y,z] coordinates
boxsize = 30.
b = bbox(offset,boxsize)                          ; bounding box
m->Add, b                                         ; add the bounding box
b->SetProperty, color=[150,150,150]               ; set bbox to light grey

f = lorenz(n,dt=dt,f1=f0)                         ; a short solution
q = obj_new('IDLgrPolyLine',data=f,thick=3)       ; a 3D graphics polyline object
q->SetProperty, color=[250,250,150]               ; set to light yellow
m->Add, q

if n_elements(tlb) eq 0 then begin
  xobjview, m, background=[50,50,50], tlb=tlb, $  ; show agains a dark grey background
            xsize=sz, ysize=sz
end else begin
  xobjview, m, refresh=tlb
end

k = n
for i=0,499 do begin
  f = lorenz(n,dt=dt,f0=f0,f1=f1)
  q->SetProperty, data=f
  o->SetProperty, data=g[*,0:k-1]
  o2->SetProperty, data=g2[*,0:k-1]               ;                                    * TILFØJET
  k = k + (n-1)
  xobjview, m, refresh=tlb
  f0 = f1
  wait,.01
end

END

